Loading...
Searching...
No Matches
ON_3dmView Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmView ()
| ~ON_3dmView ()
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &text_log) const
bool | IsValid (ON_TextLog *text_log=0) const
ON_3dPoint | TargetPoint () const
bool | SetTargetPoint (ON_3dPoint target_point)

## Public Attributes

ON_Viewport | m_vp
ON_SimpleArray< ON_ClippingPlaneInfo > | m_clipping_planes
bool | m_bLockedProjection
ON_3dPoint | m_target
ON_wString | m_name
ON_UUID | m_display_mode_id
ON::display_mode | m_display_mode
ON_3dmViewPosition | m_position
ON::view_type | m_view_type
ON_3dmPageSettings | m_page_settings
ON_3dmConstructionPlane | m_cplane
bool | m_bShowConstructionGrid
bool | m_bShowConstructionAxes
bool | m_bShowWorldAxes
ON_3dmViewTraceImage | m_trace_image
ON_3dmWallpaperImage | m_wallpaper_image

## Detailed Description

Definition at line 424 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmView()

ON_3dmView::ON_3dmView | ( |  | ) |

## ~ON_3dmView()

ON_3dmView::~ON_3dmView | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmView::Default | ( |  | ) |

## Dump()

void ON_3dmView::Dump | ( | ON_TextLog & | text_log | ) | const

## IsValid()

bool ON_3dmView::IsValid | ( | ON_TextLog * | text_log = 0 | ) | const

## Read()

bool ON_3dmView::Read | ( | ON_BinaryArchive & |  | ) |

## SetTargetPoint()

bool ON_3dmView::SetTargetPoint | ( | ON_3dPoint | target_point | ) |

## TargetPoint()

ON_3dPoint ON_3dmView::TargetPoint | ( |  | ) | const

## Write()

bool ON_3dmView::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bLockedProjection

bool ON_3dmView::m_bLockedProjection

Definition at line 455 of file opennurbs_3dm_settings.h.

## m_bShowConstructionAxes

bool ON_3dmView::m_bShowConstructionAxes

Definition at line 528 of file opennurbs_3dm_settings.h.

## m_bShowConstructionGrid

bool ON_3dmView::m_bShowConstructionGrid

Definition at line 527 of file opennurbs_3dm_settings.h.

## m_bShowWorldAxes

bool ON_3dmView::m_bShowWorldAxes

Definition at line 531 of file opennurbs_3dm_settings.h.

## m_clipping_planes

ON_SimpleArray<ON_ClippingPlaneInfo> ON_3dmView::m_clipping_planes

Definition at line 450 of file opennurbs_3dm_settings.h.

## m_cplane

ON_3dmConstructionPlane ON_3dmView::m_cplane

Definition at line 526 of file opennurbs_3dm_settings.h.

## m_display_mode

ON::display_mode ON_3dmView::m_display_mode

Definition at line 512 of file opennurbs_3dm_settings.h.

## m_display_mode_id

ON_UUID ON_3dmView::m_display_mode_id

Definition at line 511 of file opennurbs_3dm_settings.h.

## m_name

ON_wString ON_3dmView::m_name

Definition at line 505 of file opennurbs_3dm_settings.h.

## m_page_settings

ON_3dmPageSettings ON_3dmView::m_page_settings

Definition at line 523 of file opennurbs_3dm_settings.h.

## m_position

ON_3dmViewPosition ON_3dmView::m_position

Definition at line 516 of file opennurbs_3dm_settings.h.

## m_target

ON_3dPoint ON_3dmView::m_target

Definition at line 496 of file opennurbs_3dm_settings.h.

## m_trace_image

ON_3dmViewTraceImage ON_3dmView::m_trace_image

Definition at line 534 of file opennurbs_3dm_settings.h.

## m_view_type

ON::view_type ON_3dmView::m_view_type

Definition at line 518 of file opennurbs_3dm_settings.h.

## m_vp

ON_Viewport ON_3dmView::m_vp

Definition at line 445 of file opennurbs_3dm_settings.h.

## m_wallpaper_image

ON_3dmWallpaperImage ON_3dmView::m_wallpaper_image

Definition at line 537 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h